org.codehaus.plexus.maven.plugin

## Class AbstractDescriptorMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.plexus.maven.plugin.AbstractDescriptorMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  PlexusDescriptorMojo, PlexusTestDescriptorMojo

    public abstract class AbstractDescriptorMojo
    extends org.apache.maven.plugin.AbstractMojo

Author:
  Jason van Zyl

### Field Summary

Fields
`protected org.apache.maven.project.MavenProject` `mavenProject`
`protected org.apache.maven.project.MavenProjectHelper` `mavenProjectHelper`
`protected MetadataGenerator` `metadataGenerator`
`protected java.lang.String` `sourceEncoding` The file encoding of the source files.

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDescriptorMojo()`

### Method Summary

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.plugin.Mojo

`execute`

### Field Detail

#### mavenProject

    protected org.apache.maven.project.MavenProject mavenProject

#### sourceEncoding

    protected java.lang.String sourceEncoding

The file encoding of the source files.

#### mavenProjectHelper

    protected org.apache.maven.project.MavenProjectHelper mavenProjectHelper

#### metadataGenerator

    protected MetadataGenerator metadataGenerator

### Constructor Detail

#### AbstractDescriptorMojo

    public AbstractDescriptorMojo()